org.bdgenomics.adam.util

# QualityScore

#### class QualityScore extends Ordered[QualityScore] with Serializable

Linear Supertypes
Serializable, Serializable, Ordered[QualityScore], Comparable[QualityScore], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. QualityScore
2. Serializable
3. Serializable
4. Ordered
5. Comparable
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new QualityScore(phred: Int)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def <(that: QualityScore): Boolean

   Definition Classes
     Ordered

5. #### def <=(that: QualityScore): Boolean

   Definition Classes
     Ordered

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### def >(that: QualityScore): Boolean

   Definition Classes
     Ordered

9. #### def >=(that: QualityScore): Boolean

   Definition Classes
     Ordered

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### def compare(that: QualityScore): Int

    Definition Classes
      QualityScore → Ordered

13. #### def compareTo(that: QualityScore): Int

    Definition Classes
      Ordered → Comparable

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(other: Any): Boolean

    Definition Classes
      QualityScore → AnyRef → Any

16. #### def errorProbability: Double

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      QualityScore → AnyRef → Any

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### val phred: Int

25. #### def successProbability: Double

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toChar: Char

28. #### def toString(): String

    Definition Classes
      QualityScore → AnyRef → Any

29. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Ordered[QualityScore]

### Inherited from Comparable[QualityScore]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped